Welcome, Guest
You have to register before you can post on our site.

Username
  

Password
  





Search Forums

(Advanced Search)

Forum Statistics
» Members: 884
» Latest member: ludusx
» Forum threads: 319
» Forum posts: 1,413

Full Statistics

Online Users
There are currently 18 online users.
» 0 Member(s) | 18 Guest(s)

Latest Threads
Retro-bit ATARI usb adapt...
Forum: Support area
Last Post: canadien
10-19-2017, 04:46 PM
» Replies: 0
» Views: 35
hcitool process consumes ...
Forum: Support area
Last Post: greenais
10-18-2017, 10:43 PM
» Replies: 2
» Views: 52
dosbox segfaults in 3.0.1
Forum: Support area
Last Post: greenais
10-18-2017, 10:39 PM
» Replies: 2
» Views: 40
HOWTO - GPIO Controller
Forum: HOWTOs
Last Post: hessamghani
10-15-2017, 12:28 AM
» Replies: 18
» Views: 6,844
HOWTO - Dreamcast reconfi...
Forum: HOWTOs
Last Post: Fulmore
10-07-2017, 04:49 PM
» Replies: 7
» Views: 4,454
123 HP Setup
Forum: Hardware
Last Post: anoopkumar77
10-05-2017, 04:09 AM
» Replies: 0
» Views: 166
RT8192EU usb-wifi module ...
Forum: Hardware compatibility
Last Post: mrxiong
10-02-2017, 02:55 PM
» Replies: 4
» Views: 349
Emulationstation crashes ...
Forum: Support area
Last Post: ArtemKuchin
09-30-2017, 09:45 AM
» Replies: 3
» Views: 663
Xin mo dual arcade joysti...
Forum: Hardware compatibility
Last Post: gasimoto
09-27-2017, 01:15 PM
» Replies: 16
» Views: 4,785
PC+ Booting problem
Forum: Hardware
Last Post: OldBikerPete
09-25-2017, 10:51 AM
» Replies: 0
» Views: 112

 
  Pacman 3D
Posted by: Lamerjack - 06-09-2017, 12:23 PM - Forum: Beta Testing - No Replies

I found a 3D version of arcade pacman (that use the original rom)
http://pacifi3d.retrogames.com/pacifi3d/index.html

here how to complie with orange:

mkdir pacifi3d
cd pacifi3d
wget http://pacifi3d.retrogames.com/pacifi3d/....3-src.tgz
tar -xvf pacifi3d0.3-src.tgz
cp makefiles/Makefile.linux makefiles/Makefile.orange
nano makefiles/Makefile.orange
at line 33 EXTLIBS = `sdl-config --libs` -lGL -lGLU 
add -lm
save it

make orange
copy in the roms folder the rom of one of these games
 *    puckman
 *    puckmana
 *    puckmanf
 *    pacman
 *    pacmanf
 *    puckmod
 *    pacmod
 *    hangly
 *    hangly2
 *    hangly3
 *    newpuckx

 rom files should be decompressed in a folder with the same name of the game

 ./pacifi3d nameoftherom

[Image: screen3.jpg]

Print this item

  HOWTO upgrade system without crash it with sudo apt-get upgrade
Posted by: Spirax - 06-08-2017, 08:23 AM - Forum: HOWTOs - Replies (1)

hello.
This is my first howto so be patien, probably I will need to edit some times with your comments Wink

Exclamation note than iif tried to upgrade the system without lock the apropiate packages the system will crash and you will need to reinstall the sd card image. Exclamation


1st please be aware that I can not have any responsability if something goes wrong on your system and it crash and you need to format it and re-image it.
please read 2 times the complete post to understand what we are doing before to attempt to do it step by step.

if you have several SD cards I will recomend you to use a new image of retrorange pi on one of them to test it if your system is a different than OPI PC or OPI PC plus than I have tested please share the names of the packages on your sytems so we can make a list of packages for system.

I don't know exactly witch package upgrade causes the crash of the system when upgrade it, but there are some suspect packages, so the idea is to lock this packages on his actual version to avoid system to upgrade them automaticly.

Every system (OPI PC, OPI PC PLUS, OPI Litle, OPi Zero etc ) has his own packages names for kernel and linux. so be aware of the system you are using and the names of the packages you need to lock.


I only have tested it on my own systems OPI PC Plus and OPI PC, so I will provide you the names for this packages on this systems.
Maybe I have lock more packages than necesary to avoid upgrade, but I am reporting the packages than  I have choose and for me are safe as I have already done on my systems.

I lock the packages initially on my first system with the sypnactics on the X enviroment, but then when return to console and try sudo apt-get upgrade the packages was sitll ready to upgrade, so I look for another way to lock the packages on the apt-get upgrade console command..
so here are the steps.

Lock This packages for an  Arrow    OPI PC plus 
1 exit from emulation station to console.

2 update the packages list with
sudo apt-get update

3 run this commands one by one on the console to lock the packages for linux, kernel sunsi, etc with this commands , one line per package.

echo 'linux-jessie-root-orangepipcplus hold' |sudo dpkg --set-selections
echo 'linux-u-boot-orangepipcplus-default hold' |sudo dpkg --set-selections
echo 'armbian-firmware-full hold' |sudo dpkg --set-selections
echo 'armbian-tools-jessie hold' |sudo dpkg --set-selections
echo 'initramfs-tools hold' |sudo dpkg --set-selections
echo 'libcedrus1 hold' |sudo dpkg --set-selections
echo 'libmali-sunxi-r3p0 hold' |sudo dpkg --set-selections
echo 'libvdpau-sunxi1 hold' |sudo dpkg --set-selections
echo 'libvdpau1 hold' |sudo dpkg --set-selections
echo 'linux-headers-sun8i hold' |sudo dpkg --set-selections
echo 'linux-image-sun8i hold' |sudo dpkg --set-selections
echo 'linux-libc-dev hold' |sudo dpkg --set-selections
echo 'mali-sunxi-utils hold' |sudo dpkg --set-selections
echo 'sunxi-tools hold' |sudo dpkg --set-selections
echo 'xserver-xorg-video-fbturbo hold' |sudo dpkg --set-selections

5 after all the relevant packages locked, run the upgrade and verify than it say than packages are locked on hold and click on yes to upgrade systems, but before click on yes check that there are 2 list, 1st list are the packages locked, 2nd list are the packages to upgrade
sudo apt-get upgrade

6 wait for several minutes until it finish and reboot system
sudo reboot

7 enjoy with the system upgraded

******

for an Arrow   OPI PC we need to replace the first two lines of the packages to lock with

echo 'linux-jessie-root-orangepipc hold' |sudo dpkg --set-selections
echo 'linux-u-boot-orangepipc-default hold' |sudo dpkg --set-selections

*******

maybe if someone try it can write his comments if works ok for him too, or if I have missed some steps on the howto.

also if someone want to try it on another system like opi litle,
in order to know the packages that need upgrade.
you can run this
sudo apt-get update
sudo apt-get upgrade  (and chose no when ask to proceed)

then on the list of packages to upgrade look for the name of the linux packages to lock it with the command
echo 'NAME OF THE PACKAGE hold' |sudo dpkg --set-selections

if anyone probe it and also works for him, please comment your experience if there are any steep than need more explain, so I can modify if needed and will be easy for the next one.

If there is an expert around maybe can provide more or less packages names to fine the upgrade.

thanks for your time reading it
I am not an exper but will try to reply any question as better I can. Huh

Note than after upgrade it, I have test my systems, with retroarch mame, adv mame and amiga only and all works ok for me, but I haven't tested all the systems and I have a minimun set of roms, maybe I have upgrade some packages than crashed an indivual retro emulation but as I don't use it I dont know it fail, please comment with your experiences.
hope all is ok and also works for you Angel

maybe if an expert on retrorange pi read it, can support us and provide us a better list of packages not recomended to be upgraded. Huh
thanks again

Print this item

  kodi 17.1 RC no sound through hdmi
Posted by: royalwulf - 06-06-2017, 09:17 AM - Forum: Support area - Replies (1)

i had soundon kodi though hdmi.  I installed pptp yesterday, not sure if this stopped the sound.  But today I have no sound in kodi through hdmi.  What can i try?

Print this item

Question Overclock / Underclock - Pi Lite
Posted by: psilvaj - 06-03-2017, 08:03 PM - Forum: Openelec - No Replies

Hello everyone.

I'm  having troubles with high temps on my Pi Lite, and not been able to make an underclock. I've been using the jernej latest image, wich can be find in here: http://www.orangepi.org/orangepibbsen/fo...a=page%3D1

Does anyone know how to make this procedure ? I already searched about, but all I could find was too complex for a basic user as me.

Print this item

  Scraper Update.
Posted by: Lamerjack - 05-29-2017, 10:58 AM - Forum: Support area - No Replies

There are updates of scraping engine?
For example when there are many similar names show only firsts x results and is not possible to scroll.
Sega master system doesn't find "Wonder boy" game that is present on the Game.db
When manual input is needed, for example to remove _  or () the tex is centered on the last letter so near all the left part of the name is out of screen.

There is a way to export only one game data? I mean i have a game that a friend wants, can i export the data of only my game or i have to edit manually his gamelist.xml?
Thanks
Enrico.

Print this item

  NEED 4 SPEED 2 SE
Posted by: Lamerjack - 05-24-2017, 07:08 AM - Forum: Beta Testing - No Replies

One of my favourite games is Need 4 Speed 2 SE.
Błażej Szczygieł a genus from Poland, first recompiled the game to run on Linux and recent windows using OpenGL instead Glide.
Then converted the huge assembler part to CPP.
And finally added support for OpeglES.
https://github.com/zaps166/NFSIISE

The game compilation need a lot of ram... so is suggested to add a swapfile!

dd if=/dev/zero of=/var/my_swap bs=1024 count=384000
mkswap -f /var/my_swap
swapon /var/my_swap

then you can proceed with compile.

git clone https://github.com/zaps166/NFSIISE
cd NFSIISE
git submodule init
git submodule update
./compile_nfs cpp gles2

if everything is ok swapfile is not needed so:

swapoff /var/my_swap
rm /var/my_swap


copy GAMEDATA and FEDATA from original CD to "Need For Speed II SE" folder

windows is not case sensitive so you need to convert everything to lowercase!
cd to NFSIISE/Need\ For\ Speed\ II\ SE/ folder
./convert_to_lowercase FEDATA GAMEDATA

Enjoy!

Print this item

  firefox + youtube streaming audio issues
Posted by: eadmaster - 05-23-2017, 02:48 PM - Forum: Support area - No Replies

when i play youtube/html5 videos in firefox the audio is missing or corrupted.
I guess this issue is related to alsa, this is my /etc/asound.conf:

Code:
pcm.!default {
    type plug
    slave.pcm "dmixer"
}

pcm.!dmixer  {
     type dmix
     ipc_key 1024
        ipc_perm 0666
     slave {
        pcm "hw:1,0"
        period_time 0
        period_size 1024
        buffer_size 4096
        rate 44100
                format S32_LE
                channels 2
    }
    bindings {
        0 0
        1 1
    }
}

ctl.!dmixer {
    type hw
    card 1
}

EDIT: as a workaround i am using Flashgot to redirect the video to mpv.
Also it seems html5 video are software-decoded in the browser which is not ideal...

Print this item

  RetrOrange Pi PC + Raspbian + Android
Posted by: Merlin3D - 05-22-2017, 08:20 PM - Forum: General Discussion - Replies (1)

RetrOrange Pi PC + Raspbian + Android Triple Boot
Is there a way to make a image for my orange pi pc to work with those 3 os instead of kodi?
If so can someone hook me up with an image file? Or can it be included in the next release?

Print this item

  Orange Pi Zero Beta Version no desktop os
Posted by: jamespoo - 05-19-2017, 06:40 AM - Forum: General Discussion - Replies (3)

http://www.retrorangepi.org/#download

download it here not the lite version there is only a couple of emulators and no os desktop and i have read online on how to put roms on a flash stick but i does not work what can i do to get other emulators and get roms on my sd card  not to worried but would be nice to also get the os

i would have thought i would have had the os and the other emulators but only a couple show up on the menu and no os

maybe i did something wrong or something i need to do in the setup menu please help driving me crazy for the last 2 days

Print this item

Question Moving the mouse freezes some ports
Posted by: chupo_cro - 05-18-2017, 10:52 PM - Forum: Support area - Replies (3)

I've just discovered Duke Nukem 3D and Doom ports freezes if I move the mouse. I can play them it using the gamepad and/or the keyboard but as soon as I move the mouse the game freezes and the only thing I can do is to power cycle the Orange Pi PC.

Can anyone confirm the same?

And there is one more strange thing - pressing up in Retroarch EmulationStation menu (where you can select the emulator) freezes the user interface for 5-6 seconds. It does not matter if using a keyboard or a gamepad, result is the same. It seems as pressing left/right during the freeze period does work but only in the background. For example, if the current emulator is Amiga, pressing up will freeze the UI but if left/right is used before UI starts to respond the list will 'jump' to some other emulator as soon as the UI starts responding again.

Print this item